/preview/product-sets/{product-set-id}
curl --request PATCH \
--url https://api.criteo.com/preview/product-sets/{product-set-id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"attributes": {
"isDraft": true,
"minimumNumberOfProducts": 123,
"name": "<string>",
"rules": [
{
"values": [
"<string>"
]
}
]
},
"type": "<string>"
}
}
'import requests
url = "https://api.criteo.com/preview/product-sets/{product-set-id}"
payload = { "data": {
"attributes": {
"isDraft": True,
"minimumNumberOfProducts": 123,
"name": "<string>",
"rules": [{ "values": ["<string>"] }]
},
"type": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
attributes: {
isDraft: true,
minimumNumberOfProducts: 123,
name: '<string>',
rules: [{values: ['<string>']}]
},
type: '<string>'
}
})
};
fetch('https://api.criteo.com/preview/product-sets/{product-set-id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"attributes": {
"creationDate": "<string>",
"datasetId": "<string>",
"keepVariantProducts": true,
"minimumNumberOfProducts": 123,
"name": "<string>",
"numberOfProducts": 123,
"rules": [
{
"values": [
"<string>"
]
}
],
"id": "<string>",
"isFallbackAllowed": true
},
"id": "<string>",
"type": "<string>"
},
"errors": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>"
}
],
"warnings": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>"
}
]
}/preview/product-sets/{product-set-id}
Patch an existing product set
PATCH
/
preview
/
product-sets
/
{product-set-id}
/preview/product-sets/{product-set-id}
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
ID of the product set
Body
application/json
A top-level object that encapsulates a Criteo API request for a single value
A top-level object that encapsulates a Criteo API response for a single value
Show child attributes
Show child attributes
Response
200 - application/json
Product set modified successfully
A class implementing the response of the Criteo API as described in API Guild Guidelines with a single entity as body
Was this page helpful?
/preview/product-sets/{product-set-id}
Previous
/preview/product-sets/{product-set-id}/product-filters
Next
⌘I